Table (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Class Table

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.shared.Table

All Implemented Interfaces:
  Serializable

    public class Table

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`Table()`
`Table(int width)`
`Table(int colsNumber, int rowsNumber, int width, int border, ArrayList<TableCell> rows)`

Method Summary
`int` | `getBorder()`
`int` | `getColsNumber()`
`ArrayList<TableCell>` | `getRows()`
`int` | `getRowsNumber()`
`int` | `getWidth()`
`void` | `setBorder(int border)`
`void` | `setColsNumber(int colsNumber)`
`void` | `setRows(ArrayList<TableCell> rows)`
`void` | `setRowsNumber(int rowsNumber)`
`void` | `setWidth(int width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Table

    public Table()

### Table

    public Table(int colsNumber,
                 int rowsNumber,
                 int width,
                 int border,
                 ArrayList<TableCell> rows)

Parameters:
  `colsNumber` - .
  `rowsNumber` - .
  `width` - .
  `border` - .
  `rows` - .

### Table

    public Table(int width)

Method Detail

### getColsNumber

    public int getColsNumber()

### setColsNumber

    public void setColsNumber(int colsNumber)

### getRowsNumber

    public int getRowsNumber()

### setRowsNumber

    public void setRowsNumber(int rowsNumber)

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getBorder

    public int getBorder()

### setBorder

    public void setBorder(int border)

### getRows

    public ArrayList<TableCell> getRows()

### setRows

    public void setRows(ArrayList<TableCell> rows)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.